# Class ReadBufferOverflowException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.tomcat.websocket.ReadBufferOverflowException

All Implemented Interfaces:
  `Serializable`

public class ReadBufferOverflowException extends IOException
Exception thrown when the WebSocket buffer size is insufficient.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ReadBufferOverflowException(int minBufferSize)`
Constructs a `ReadBufferOverflowException` with the specified minimum buffer size.

## Method Summary

Modifier and Type
Method
Description
`int`
`getMinBufferSize()`
Returns the minimum buffer size required to handle the data.

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReadBufferOverflowException

public ReadBufferOverflowException(int minBufferSize)
Constructs a `ReadBufferOverflowException` with the specified minimum buffer size.

Parameters:
  `minBufferSize` - The minimum buffer size required

## Method Details

### getMinBufferSize

public int getMinBufferSize()
Returns the minimum buffer size required to handle the data.

Returns:
  The minimum buffer size